# Minicraft v1.0.2

<table>
<tr><td>Programming</td><td>Jonathan Leahey</td></tr>
<tr><td>Art</td><td>John McDowell</td></tr>
<tr><td>Music</td><td>Tom Quinn (T5)</td></tr>
<tr><td>Inspiration</td><td>Markus Persson "Notch"</td></tr>
</table>

## Inspiration

Minicraft was initially conceived as a
[demake](http://en.wikipedia.org/wiki/Video_game_remake#.22Demakes.22) of
[Minecraft](http://minecraft.net/) for
[Game Jolt](http://gamejolt.com/)'s
[Indie Game Demake Contest](http://gamejolt.com/freeware/games/adventure/minicraft/2818/).
Without Notch we would have never created this fun game!
We overcame the difficulties of losing a dimension in various ways and we tried to stay true to Minecraft throughout.
Enjoy our "8-bit" 2D version of the game!

## What's Different

You can climb trees. Trees and planks make good ladders, almost as good as ladders themselves!
This was neccessary so that you can get around the world in 2D.

## Controls

<table>
<tr><td>w,a,s,d</td><td>Player Movement</td></tr>
<tr><td>space</td><td>Jump / Climb / Swim</td></tr>
<tr><td>shift</td><td>Walk</td></tr>
<tr><td>mouse 1</td><td>Break Block</td></tr>
<tr><td>mouse 2</td><td>Build Block</td></tr>
<tr><td>number keys<br>mouse wheel</td><td>Change Selection</td></tr>
<tr><td>i</td><td>Open Inventory</td></tr>
<tr><td>+</td><td>Zoom In</td></tr>
<tr><td>-</td><td>Zoom Out</td></tr>
<tr><td>m</td><td>Mute/Unmute Sound</td></tr>
<tr><td>esc</td><td>Save and Quit</td></tr>
<tr><td>q</td><td>Toss Selected Item</td></tr>
<tr><td>f</td><td>View FPS</td></tr>
</table>

## How To Play

Watch your blue and red selectors. They show where you will build or break blocks, respectively.

Crafting is very similar to Minecraft: put items into the crafting table to craft them.
Right-click on the crafting table to open it and your inventory.
The crafting templates are the same for the items we chose to put in.
Collect better matierals (wood → stone → iron → diamond) to create better tools.

### Sample Recipes

Here are a few recipes to try. 
Pickaxes are the only tools which can break stone.
Axes break wood tiles faster, and shovels break dirt, sand, and leaves very quickly.

**planks** (x4)
<table>
<tr><td>wood</td><td></td></tr>
<tr><td></td><td></td></tr>
</table>

**crafting table**
<table>
<tr><td>plank</td><td>plank</td></tr>
<tr><td>plank</td><td>plank</td></tr>
</table>

**sticks** (x4)
<table>
<tr><td>plank</td><td></td></tr>
<tr><td>plank</td><td></td></tr>
</table>

**ladders** (x4)
<table>
<tr><td>stick</td><td></td><td>stick</td></tr>
<tr><td>stick</td><td>stick</td><td>stick</td></tr>
<tr><td>stick</td><td></td><td>stick</td></tr>
</table>

**wooden pickaxe**
<table>
<tr><td>plank</td><td>plank</td><td>plank</td></tr>
<tr><td></td><td>stick</td><td></td></tr>
<tr><td></td><td>stick</td><td></td></tr>
</table>

## Fun Things To Do

 * Collect Materials
 * Build a crafting table
 * Create tools
 * Go spelunking
 * Mine for minerals
 * Grow trees
 * Build a castle
 * Build an underwater cave
 * Build anything you can imagine!

## Change Log

 * Version 1.0 (7/7/2010)
    - Initial Release
 * Version 1.0.1 (7/8/2010)
    - Exe launcher
    - Bug fixes (shovel template and inventory Updating)
 * Version 1.0.2 (7/9/2010)
    - Tool durability
    - Inventory Bug fix
    - Tools will no longer stack

## Future Plans

 * Version 1.1 (we hope)
    - Day/Night ✓
    - Life ✓
    - Drowning ✓
    - Furnaces
    - Enemies
    - Chests
    - Infinite Levels
    - ...

## Libraries

*Each included in the `lib` directory*

 * [Easyogg](http://www.cokeandcode.com/index.html?page=libs)
 * [JOrbis and JOgg](http://www.jcraft.com/jorbis/)
 * [gson](http://code.google.com/p/google-gson/)
